tigase.jaxmpp.core.client.exceptions

## Class JaxmppException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.jaxmpp.core.client.exceptions.JaxmppException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ClientSaslException, OMEMOException, SaslModule.UnsupportedSaslMechanisms, Stanza.UnkownStanzaTypeException, WebSocket.SecurityException, XMLException, XMPPException

      public class JaxmppException
      extends Exception

  Base Exception class in library.
  Author:
    bmalkow
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxmppException()`
    `JaxmppException(String message)`
    `JaxmppException(String message, Throwable cause)`
    `JaxmppException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxmppException

          public JaxmppException()

    - #### JaxmppException

          public JaxmppException(String message)

    - #### JaxmppException

          public JaxmppException(String message,
                                 Throwable cause)

    - #### JaxmppException

          public JaxmppException(Throwable cause)

Copyright © 2006–2020 Tigase. All rights reserved.